// Desc: Init given person or vehicle and it's crew
//-----------------------------------------------------------------------------
private['_unit', '_fn_PersonInit', '_fn_VehicleInit'];

_unit = _this select 0;

// init person
_fn_PersonInit =
{
  private['_person'];
  _person = _this select 0;
  
  if (_person isKindOf "CAManBase") then // if fn_IsPerson
  {
    switch (side _person) do
    {
      case west: { [_person] call fn_SoldierInit };
      //case civilian: { [_person] call fn_CivilianInit };
    };
  };
};

// init vehicle & crew
_fn_VehicleInit =
{
  private['_unit'];
  _unit = _this select 0;
  if ((_unit isKindOf "LandVehicle") || (_unit isKindOf "Air") || (_unit isKindOf "Ship")) then // if fn_isVehicle
  {
    // init vehicle
    [_unit] call fn_VehicleInit;
    
    // init crew
    {
      [_unit] call fn_PersonInit;  
    } forEach crew _unit;
  };
};

[_unit] call _fn_VehicleInit;
[_unit] call _fn_PersonInit;
